/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __LED_data_h
#define __LED_data_h
#ifdef __cplusplus
 extern "C" {
#endif

enum {BP_NOT_PUSHED=0, BP_SINGLE_PUSH, BP_MULTIPLE_PUSH};

/* Exported functions --------------------------------------------------------*/

void    Error_Handler(void);
uint8_t Button_WaitForPush(uint32_t timeout);
void    Led_On(void);
void    Led_Off(void);
void    Led_Blink(int period, int duty, int count);

#ifdef __cplusplus
}
#endif
#endif /* __LED_data_h */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
